Bug 6907 - (int-152680) Media Player widget suddenly starts music after Phone call ends
(int-152680)
: Media Player widget suddenly starts music after Phone call ends
Status: REOPENED
Product: Desktop Widgets
Media player
: 5.0:(20.2010.36-2)
: N900 Maemo
: Unspecified major with 36 votes (vote)
: ---
Assigned To: unassigned
: mediaplayer-applet-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-13 07:54 UTC by jessi3k3
Modified: 2010-11-26 15:14 UTC (History)
28 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description jessi3k3 (reporter) 2009-12-13 07:54:37 UTC
SOFTWARE VERSION: 
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Add Media Player widget to desktop
2. Start playing music through media player or widget
3. Pause music through media player
4. Close media player 
5. Play then pause music through widget
6. Recieve phone call
7. Pick up then Hang up

EXPECTED OUTCOME:
Nothing, you are returned to your desktop or task switcher as you normally
should after a phone call.

ACTUAL OUTCOME:
Music starts playing spontaneously after call ends.

REPRODUCIBILITY:
less than 50% of the time

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
This has happened to me 3 times already. The steps I described are the ones I
recall from the last time that it happened. This is problematic as one time I
was in a meeting, rejected the call and the music started bursting out of the
speakers. Other times happened at home but that's besides the point.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.5)
Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)
Comment 1 Venomrush 2009-12-13 17:08:06 UTC
Maybe you have the music still playing then get a phone call but forgotten that
you have not paused it?
Comment 2 jessi3k3 (reporter) 2009-12-13 23:51:37 UTC
(In reply to comment #1)
> Maybe you have the music still playing then get a phone call but forgotten that
> you have not paused it?
> 

I'm pretty sure I didn't have the music playing. I was able to reproduce it
once where I intentionally paused the music player and picked up/hung up a call
and it started playing again but i haven't been able to again.

The occurrence during my meeting I made sure I had my music completely off
(paused). Though I suppose my mistake was that I didnt put the phone on silent
and it was in the general profile so after i hung up music started blasting.
I'll try to see if the same occurs with the silent profile.
Comment 3 Alex 2009-12-17 19:40:51 UTC
I too observe this bug at myself. Sudden inclusion of music after conversation
very much irritates!
Comment 4 Alex 2009-12-17 19:41:54 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Andre Klapper maemo.org 2010-01-11 18:13:46 UTC
Tested internally with 2.2009.51-1 (PR1.1), this couldn't be reproduced.
Closing as fixed.
Comment 6 Andre Klapper maemo.org 2010-01-14 12:27:54 UTC
The problem reported here should be fixed in the update released today for
public: The Maemo5 update version 2.2009.51-1 (also called "PR1.1" sometimes).
Please leave a comment if the problem is not fixed for you in this update
version.
Comment 7 Andre Klapper maemo.org 2010-01-15 19:13:02 UTC
*** Bug 8063 has been marked as a duplicate of this bug. ***
Comment 8 Jamie 2010-01-15 19:57:14 UTC
my software version is 2.2009.51-1 so the bug still exists. it happened after i
got a missed call. music suddenly started playing from my pocket just after the
call. however i did get a call earlier and it didnt happen.
Comment 9 jessi3k3 (reporter) 2010-01-16 06:23:10 UTC
I'm going to reopen this bug since it happened to me today again. Out of around
15 calls it only happened once. I believe i was listening to music through the
media player widget without the media player open. I paused the music and
around 10 minutes later I got a phone call. After the call ended I hung up and
music started to play again.
Comment 10 jessi3k3 (reporter) 2010-01-16 06:24:39 UTC
Sorry, Forgot to mention I am using version 2.2009.51-1 and I updated the
version in the bug report
Comment 11 Stewart Grant 2010-01-18 17:52:40 UTC
Also on PR1.1 also I have noticed the following not explicitly stated here so
far (I think):

- My phone was on silent and music still played \ unpaused itself
- I have experienced this issue when a call was missed, rather than received or
ignored.
Comment 12 Andre Klapper maemo.org 2010-01-19 14:19:06 UTC
*** Bug 8261 has been marked as a duplicate of this bug. ***
Comment 13 Endri 2010-01-25 12:02:10 UTC
It happened 3 times already... It can be very embarassing... please solve it
soon...
Comment 14 David Sommerseth 2010-02-01 12:45:06 UTC
I experience exactly the same, a couple of times yesterday.  I know I stopped
the music and was enjoying the silence.  The phone rings, I answer and soon
after the call is hung up, the phone begins to play music again.

I am not sure if this is connected to the media player applet is on the
desktop, or if it is something else.

I'm running Maemo5 2.2009.51-1 (PR1.1, I believe)
Comment 15 mb 2010-02-04 18:30:23 UTC
Same here. Twice it music started when disconecting call.

Have Media Player widget on desktop.

Regards Markus
Comment 16 Aman Narang 2010-02-04 21:55:06 UTC
(In reply to comment #15)
> Same here. Twice it music started when disconecting call.
> Have Media Player widget on desktop.
> Regards Markus

hi ..i am having the same problem too..it happened thrice yesterday n that too
when i was in office..i received a call i took my phone out and before i could
silence the call i missed it and suddenly the music began to play...happened
thrice...at first i thot it could be that my music player widget was placed
exactly at the place where the silence a call ringer button is and i might hv
pressed it accidently..i have now moved the music player to another location on
the screen and i'll wait a few days to check if this is reproduced
Comment 17 Andre Klapper maemo.org 2010-02-11 20:42:13 UTC
(Please don't add "me too!" comments as they create bugmail. Just vote if you
are affected too. Thanks a lot!)
Comment 18 brz 2010-02-16 20:38:52 UTC
I confirm the bug in the new version 3.2010.02-8. I thought it was a conflict
with "headphone daemon" but is not this case: even after I have uninstalled it,
removed the configuration files with dpkg --purge, and restart the terminal,
the problem recurred. Now even if I try to close the widget and reopen it, it
will restart hildon (I think) and I lose all the settings of the widget.
Comment 19 brz 2010-02-16 20:46:41 UTC
In addition to comment # 18:
Widgets active on all my desktops:
- Touchsearch
- Dataplan monitor
- Calendar
- Foreca
Comment 20 Andre Klapper maemo.org 2010-02-22 19:07:22 UTC
This has been fixed in package
mediaplayerhomeapplet 1.2-8+0m5
which is part of the internal build version
10.2010.06-7
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 21 Lucas Maneos 2010-02-27 15:02:12 UTC
*** Bug 9307 has been marked as a duplicate of this bug. ***
Comment 22 Andre Klapper maemo.org 2010-03-15 20:54:03 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 23 Mathias RĂ¼diger 2010-04-14 12:45:31 UTC
Maybee this will help:

Normaly the media player resumes playing music after a call. It also does it
when it is just stopped by tipping on the media player widget. If instead you
close the media player by opening it first properly and than close it again, it
does not resume playing after a call.

I sadly cannot test this behavior properly because i have no spare phone to
call myself.

so long
Mathias
Comment 24 jessi3k3 (reporter) 2010-04-15 09:52:24 UTC
I do not recall the exact circumstances but they involved having the media
player app closed and the media player widget set on one of my desktops.

Music was not playing, I opened the camera slider and took a few photos. After
finishing, I closed the slider and music started playing although I did not
have the media player open. The media player widget began playing whatever song
I last had it set to.

As you all may know, the default behavior when music is playing and the slider
is opened is to pause whatever is playing then resume when the slider is
closed. Maybe some switch isnt being set right and sometimes causes music to
resume (media player widget specific) after a phone call / camera slider close
/ whatever subsystem call resumes media playback. Either way, i'll wait and see
if this is resolved in pr1.2.
Comment 25 Andre Klapper maemo.org 2010-04-23 14:25:32 UTC
*** Bug 10012 has been marked as a duplicate of this bug. ***
Comment 26 Andre Klapper maemo.org 2010-04-28 14:44:02 UTC
*** Bug 10057 has been marked as a duplicate of this bug. ***
Comment 27 Andre Klapper maemo.org 2010-05-03 01:00:04 UTC
*** Bug 10083 has been marked as a duplicate of this bug. ***
Comment 28 Andre Klapper maemo.org 2010-05-11 13:11:33 UTC
*** Bug 10154 has been marked as a duplicate of this bug. ***
Comment 29 Andre Klapper maemo.org 2010-05-17 21:28:30 UTC
*** Bug 10193 has been marked as a duplicate of this bug. ***
Comment 30 Andre Klapper maemo.org 2010-05-22 16:04:13 UTC
*** Bug 10240 has been marked as a duplicate of this bug. ***
Comment 31 yousefsaed 2010-05-22 19:51:16 UTC
Sorry for clogging up the bugzilla email system and sending this out to all the
people who are supposed to be cc'ed.

But my duplicate bug also touched on issues that others aren't having, mostly
not resuming play after taking photos or ending a phone call or having the
track "play" during a phone call (ie if I'm listening to a four minute song and
have a five minute call when I end the call it would be a minute into the next
track).
Comment 32 Dawid Lorenz 2010-05-26 16:47:46 UTC
Don't know how to reopen bugs, but this one apparently wasn't fixed in PR1.2.

Here's the story:
I did test for another bug fixed in PR1.2 yesterday, which is:
https://bugs.maemo.org/show_bug.cgi?id=5331 - basically, I've been listening to
music via A2DP headphones without having "full" Media Player opened. Once I
finished listening, I switched off headphones and forgot about it, until I've
made a call couple of hours later on. Once phone call has been finished, music
playback has started itself. All in all, this bug is NOT fixed.
Comment 33 Ramesh Sainju 2010-05-29 11:08:27 UTC
(In reply to comment #32)
> Don't know how to reopen bugs, but this one apparently wasn't fixed in PR1.2.
> 
> Here's the story:
> I did test for another bug fixed in PR1.2 yesterday, which is:
> https://bugs.maemo.org/show_bug.cgi?id=5331 - basically, I've been listening to
> music via A2DP headphones without having "full" Media Player opened. Once I
> finished listening, I switched off headphones and forgot about it, until I've
> made a call couple of hours later on. Once phone call has been finished, music
> playback has started itself. All in all, this bug is NOT fixed.
> 
Even for me its happen. I was surprise to see it happen again after the long
waiting update to PR 1.2. I hope it gonna fixed soon next time.
Comment 34 Andre Klapper maemo.org 2010-05-29 12:56:49 UTC
Reopening.
Comment 35 Misha K. 2010-06-02 11:04:38 UTC
That bug happened to me, updated to pr1.2, flashed with middle east version of
it.
Comment 36 Achim Luecking 2010-06-11 13:37:29 UTC
I have a very similar problem. My media player widget starts playing the last
mp3 after receiving a call in absentia. The phone stops to ring and the widget
starts playing directly.

My ringtone is also a mp3, maybe this is important.
Comment 37 mase 2010-07-06 08:53:24 UTC
I had this 2 times with pr1.2, too.
Comment 38 Dawid Lorenz 2010-08-07 01:16:38 UTC
This is somehow related with listening music without main Media Player opened
(widget only) over Bluetooth headphones - or at least in my case. When I finish
listening music, I pause music with button on headphones (over AVRCP) and then
switch off headphones, causing BT disconnection. Later on, after missed call or
rejected incoming call, widget restarts music immediately.

I didn't specifically reproduce this (yet), but it happened to me twice in a
row in very similar circumstances. Something tells me that widget might "think"
that headphones are still connected and resumes music after ended call, as it
would normally do in such scenario.
Comment 39 ollivaud.patrice 2010-08-23 11:53:00 UTC
Just to confirm that I have this problem and use a Bluetooh headset as well.
Comment 40 Misha K. 2010-10-28 09:21:07 UTC
I still have music started playing after ignoring the phone call. PR1.3 GLOBAL
here
Comment 41 tejas.joshi 2010-10-28 11:59:00 UTC
This Is happening to me now everytime after Updating to PR1.3
Comment 42 tejas.joshi 2010-11-11 14:10:36 UTC
I removed TuneWiki SMP player now the widget is working as expected.


New Softwares Installed related to Media after uninstalling TuneWiki Player are
MediaBox
Comment 43 Joseph 2010-11-26 15:14:22 UTC
I encountered this problem several times before. Music plays automatically
after disconnecting a call. Prior phone activity include using phone for music
play via widget and FM transmitter.